%
%  GLOBEC SEWARD JOHNSON Shipboard Data

% The preceding empty line is important
% $Log: gbsjss.m,v $
% Revision 1.1  1999/06/01 07:10:33  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.3  1999/05/28 22:53:05  kwoklin
% Point to new server for all jgofs datasets. Update getjgsta on loaddods.
% Fix infotext for all gb geturl files. Fix transmissivity for some gb
% files. Modify some variable names on gb files.       klee
%

% $Id: gbsjss.m,v 1.1 1999/06/01 07:10:33 dbyrne Exp $
%  klee 04/99

GetFunctionName = 'getjgsta';

Server = 'http://maewest.gso.uri.edu/cgi-bin/nph-jg/sjss';  
CatalogServer = nan;
Cat_m_File = 'gbsjssc';
URL_m_File = 'gbsjssu';

LonRange = [-70.2 -66.2];
LatRange = [40.3 42.1];
TimeRange = [1995.26844548 1995.39726027];
DepthRange = [-1001.8 -1033.5051];
Resolution = nan;

DodsName1 = str2mat('year','yrday0_gmt','cruise_id');
dayend = [110, 146];
DodsName = str2mat('airtemp','ss5temp','sal','fluoro','sun','wspd','wdir');
DataName = 'AlongTrack - Seward Johnson Alongtrack sensor - NMFS/GLOBEC ';    
LongitudeName = 'lon';
LatitudeName = 'lat';
TimeName = 'yrday0_gmt';         
DepthName = 'barop';
DepthUnits = 'millibars';
SelectableVariables = str2mat('Air_Temp','Sea_Temp','Salinity', ...
    'Fluorescence','Radiation','Wind_Speed','Wind_Dir');

TextField = str2mat('SJ9505','SJ9507');
OptionalVariables = str2mat('cruise_id','ewind','nwind');
SelectableOptional = str2mat('CruiseId','U_Wind','V_Wind');

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                             SEWARD JOHNSON Alongtrack sensor Data      ',...
'   ',...
'                   Parameter         Description                         Units',...
'                 ---------------------------------------------------------------',...
'   ',...
'                   gyd               GMT yearday                         fractional yearday',...
'                   lat               latitude                            decimal degrees',...
'                   lon               longitude                           decimal degrees',...
'                   airtemp           air temp                            degrees C',...
'                   ss5temp           hull mounted temp (5m)              degress C',...
'                   sal               surface salinity                    PPT',...
'                   fluoro            fluorescence                        volts',...
'                   ewind             eastward wind (corrected)           nauts',...
'                   nwind             nthward wind (corrected)            nauts',...
'                   sun               solar radiation                     rads',...
'                   barop             baropmetric pressure                millibars',...
'                   wspd              wind spd                            nauts',...
'                   wdir              wind direction towards              degrees from north',...
'  ',...
'  Cleaned and merged to 5 minute intervals (see Jim Manning for details).',...
' ');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Apr. 07, 1995 (1995.26844548) ', ...
'         Ending_Date:    May. 25, 1995 (1995.39726027)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 70.1041 W ', ...
'              East Bounding Coordinate: 66.3169 W ', ...
'              South Bounding Coordinate: 40.3571 N ', ...
'              North Bounding Coordinate: 42.0019 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               James Manning', ...
'               NMFS',...
'               Woods Hole, MA 02543',...
'               USA ', ...
'               Electronic Mail Address:INTERNET > jmanning@whsun1.wh.whoi.edu',...
'               FAX: 508-495-2258',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments4];